Connexion
Vous n'avez pas encore de compte personnel ? Vous devriez en créer un. Une fois enregistré vous aurez certains avantages, comme pouvoir modifier l'aspect du site, ou poster des commentaires signés...
Support
Activité du Site

Pages vues depuis 06/01/2019 : 13 847 044

  • Nb. de membres 368
  • Nb. d'articles 2 862
  • Nb. de forums 24
  • Nb. de sujets 13
  • Nb. de critiques 0

Top 10  Statistiques

Index du forum »»  Développement »» Easy2Install

Easy2Install#2334

11Contributeur(s)
PapiosaurshainaTchekomanuCptBloodBrumigaJediK-Lnumber-oneTemplariovampirog5
2 Modérateur(s)
PapiosaurBeWorld
Brumiga Brumigaicon_post
@Papiosaur,

Je viens de rencontrer un gros problème, en comparaison avec grunch. Les dépendances d'un programme avec telle ou telle bibliothèque ou autre chose. J'ai voulu installer blender. Ça se fait facilement, trop peut-être. Blender seul est installé mais pas ses dépendances à python 3.2 si je ne me trompe pas. En comparaison grunch indique les dépendances manquantes, les télécharge puis les installe. Du coup blender fonctionne, quoique les menus ne sont pas lisibles, ce ne sont que des rectangles ou des carrés noirs. C''est inutilisable.

Penses-tu donc pouvoir t'occuper du problèmes des dépendances manquantes, les télécharger puis les installer ou pas ?

Brumiga
Papiosaur Papiosauricon_post
Citation : Jedi
Yop,

Je viens de tester un peu cette b44.

Je ne vois pas d'anomalie flagrante :)

Reste juste cette petite coquille de raffraichissement : quand on modifie et applique un nouveau chemin pour une catégorie, après ça la coche de modification se désélectionne, on doit la resélectionner mais le chemin affiché à ce moment-là est encore celui par défaut "Sys:Applications/" (il faut changer de catégorie et revenir à celle modifiée pour revoir le bon chemin modifié).


cool ! merci pour ton retour, ok je vais voir ça pour le rafraichissement des chemins pour la prochaine beta

Citation : Jedi

C'est normal qu'il n'y ait plus de tout de version d'E2I sur le storage :

https://www.morphos-storage.net/?find=easy2install

?


Comme, il y avait une erreur récurrente à cause du chemin "AmiSSL:", j'ai préféré retiré l'archive. Suite à ton retour, je viens de mettre la beta44 en ligne et me mettre à bosser sur la beta45 ;-)
 Message édité par : Papiosaur / 14-11-2023 13:39
Papiosaur Papiosauricon_post
Citation : Brumiga
@Papiosaur,

Je viens de rencontrer un gros problème, en comparaison avec grunch. Les dépendances d'un programme avec telle ou telle bibliothèque ou autre chose. J'ai voulu installer blender. Ça se fait facilement, trop peut-être. Blender seul est installé mais pas ses dépendances à python 3.2 si je ne me trompe pas. En comparaison grunch indique les dépendances manquantes, les télécharge puis les installe. Du coup blender fonctionne, quoique les menus ne sont pas lisibles, ce ne sont que des rectangles ou des carrés noirs. C''est inutilisable.

Penses-tu donc pouvoir t'occuper du problèmes des dépendances manquantes, les télécharger puis les installer ou pas ?

Brumiga


Alors ce n'est pas un "gros problème" en soit...c'est une fonctionnalité qui n'est pas intégré...
La priorité pour moi dans un premier temps, c'est que toutes les archives soient gérées et je n'ai malheureusement aucun retour des utilisateurs pour me dire quelles sont les archives qui causent problèmes (ha autant pour moi Jedi m'a fait un retour concernant deux archives qu'il faut que je supporte pour la prochaine beta mais c'est tout...).
Lorsque toutes mes archives seront "supportées" : c'est à dire installation et désinstallation propre, affichage du numéro de version si disponible, je pourrais me pencher "éventuellement" sur un système de gestion des dépendances mais ce n'est pas à l'ordre du jour pour le moment. Mais oui je te l'accorde ça serait une fonctionnalité "très pratique".
Jedi Jediicon_post
Yop,

Je viens de mettre à jour la b49, sans souci :)

J'en ai profité pour mettre à jour les SDL2 Libraries (v2.30.0), sans souci non plus, sauf qu'après dans E2I la version locale est en 53.14 et non en v2.30.0... (avant, pas de souci avec les versions de la SDL, serveur et local).
Papiosaur Papiosauricon_post
@Jedi: merci pour ton retour ;-)

En effet SDL2 et TinyGL posent des soucis car la version du pack ne correspond pas à la version de la librairie...

Pour TinyGL, j'ai une date pour le package et pour SDL2 j'ai 2.30.0 alors que les librairies ont des numéros de version différentes.

Si quelqu'un à une idée pour remédier à ce problème, je suis preneur ;-)

J'ai posé la question à BeWorld pour sDL2, il ne peut rien faire de son côté.
Jedi Jediicon_post
Ok ;)

Pour la SDL2, ce qui est bizarre, c'est qu'avant, les versions aussi bien Server que Local étaient correctes (il y a peut-être eu une régression).
Papiosaur Papiosauricon_post
En fait, j'avais fait des conditions pour les anciennes versions qui donnaient le bon numéro de version mais ce n'est pas trop réalisable dans le temps..

Faudrait que je sorte une mise à jour de Easy2Install après chaque version de TinyGL ou de SL2 avec les bonnes conditions...
Jedi Jediicon_post
T'as raison, c'est trop lourd ;)
Papiosaur Papiosauricon_post
Pour la prochaine beta:

j'ai défini le tri par date pour chaque chargement d'une nouvelle catégorie, c'était un peu le "bazar" lorsqu'on définissait le tri par version puis qu'on chargeait toutes les entrées ensuite...

ReportPlus est désormais désinstallable.

La skin "Nostalgia est installable ET désinstalable proprement.

Je vais essayer de faire la même chose pour les autres skins.

N'hésitez pas à me faire remonter des soucis avec des archives ou autres, merci ;-)
 Message édité par : Papiosaur / 22-02-2024 08:37
Papiosaur Papiosauricon_post
Autres nouveautés dans la prochaine version : il y aura un bouton pour signaler une archive qui pose problème (installation, lancement ou désinstallation).
Il suffira de sélectionner la ligne correspondante à l'archive qui pose problème et de cliquer sur le bouton :-D
Je recevrais un mail avec le nom de l'archive, je verrais si d'autres informations sont nécessaires...je pense demander les noms et adresse mail du "reporter" pour le remercier et lui dire lorsque le problème est résolu.

Encore un grand MERCI à BeWorld pour cette nouvelle fonctionnalité !
Easy2Install
Non disponible.
Amiga sur RaspBerryPi